hdparm (9.58+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:35:53 +0800

hdparm (9.58+ds-1) unstable; urgency=medium

  * New upstream version 9.58+ds, Closes: #911826

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 26 Oct 2018 13:53:55 +0000

hdparm (9.57+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Alexandre Mestiashvili ]
  * New upstream version 9.57+ds:
    "Added --set-sector-size flag, used to change logical sector size for
    drives which support multiple sector sizes.
    Also updated various bits of hdparm to better cope with non-512 byte
    sectors"
  * Drop d/patches/quiet_security_freeze.patch, applied by upstream
  * Update hdaprm.conf.5, drop redundant listing of options
  * Bump policy to 4.2.1

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 18 Oct 2018 13:53:17 +0000

hdparm (9.56+ds-2) unstable; urgency=medium

  * Introduce option "force_spindown_time" to forcibly set spindown (-S) option
    on disk not supporting APM, Closes: #758988
  * Update man page d/hdparm.conf.5 and default config file hdparm.conf
  * Substitute tabs with spaces in d/{hdparm-functions,95hdparm-apm}
  * Drop duplicated check for AdvancedPM, hdparm_try_apm() should be sufficient
  * Bump Policy version to 4.1.4

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 24 May 2018 21:14:07 +0200

hdparm (9.56+ds-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Update Vcs-* to point to salsa.debian.org

  [ Julien CHATY-CAPELLE ]
  * Update hdparm.conf man page, hdparm doesn't use init script anymore

  [ Alexandre Mestiashvili ]
  * New upstream version 9.56+ds
  * Refresh and forward to upstream quiet_security_freeze.patch
  * Update maintainer's email in d/control and d/copyright
  * Update d/hdparm.conf.5, explain how to restart hdparm,
    strip trailing white spaces. Closes: #874080

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 03 Apr 2018 15:02:15 +0200

hdparm (9.54+ds-1) unstable; urgency=medium

  * New upstream version 9.54+ds
  * Refresh d/patches/quiet_security_freeze.patch
  * Update d/hdparm-funtions: Only enable APM on disks that advertise it,
    patch from dann frazier <dannf@debian.org>, Closes: #891051

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 22 Feb 2018 14:51:46 +0100

hdparm (9.53+ds-1) unstable; urgency=medium

  * New upstream version 9.53+ds
  * Update d/watch, version 4, use substitutions for package,
    version and extensions
  * Add -R option to d/hdparm-functions and hdparm.conf, Closes: #722426
  * Update d/control, remove Replaces: apmd (<= 3.0.2-1.15),
    bump Standards-Version to 4.1.3, debhelper to >=11
  * Bump compatibility level to 11
  * New upstream version 9.52+ds,( added support for JMicron USB to (S)ATA
    bridge ), Closes: #704095
  * Refresh patches
  * Update d/copyright, add new stanza for apt.c

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 06 Jan 2018 13:37:12 +0100

hdparm (9.51+ds-1) unstable; urgency=medium

  * New upstream version 9.51+ds
  * Bump debhelper version to v10
  * Refresh and update patches, drop spelling.patch apllied by upstream
  * Add makefile.patch removing hardcoded "-j4" and LDFALGS,
    drop fix_ldflags.patch
  * Drop d/hdparm.preinst as it is substituted by d/hdparm.maintscript

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 24 Jan 2017 12:20:05 +0100

hdparm (9.50+ds-1) unstable; urgency=medium

  * New upstream version 9.50+ds
  * Refresh quiet_sequrity_freeze.patch and update spelling.patch
  * Update copyright years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 21 Oct 2016 14:11:37 +0200

hdparm (9.48+ds-2) unstable; urgency=medium

  * Fix typo in the long description, Closes: #818612
    thanks to Laura Arjona Reina for the patch.
  * Apply cme fix dpkg, update license name to match license short name
  * Apply patch from Helmut Grohne, Closes: #836504
    - Pass triplet-prefixed CC to make
    - Do not strip during build
  * Update d/control, fix typo in Vcs-Browser field

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 05 Sep 2016 15:40:42 +0200

hdparm (9.48+ds-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * d/control:
    - Remove dpkg-dev from Build-Depends
    - Add Vcs-* fields
    - Remove -dbg package, -dbgsym is generated automatically
    - Apply cme fix dpkg
    - Take over the package. Thanks to Stephen Gran
      and Michael Meskes for their former work.  Closes: #816168
    - Update extended description
  * d/copyright:
    - Update copyright file to comply with DEP5 standatd
    - Use File-Excluded: to remove debian/*, contrib/fix-standby
    - Add copyright statements for third party files
  * d/rules:
    - Convert to use debhelper
    - Drop init script
    - Do not modify postinst/postrm/prerm scripts
    - Export additional hardening flags
  * d/watch:
    - Remove uupdate
    - Repack and add +ds suffix because we remove the upstream's debian dir
  * d/patches:
    - spelling.patch: Fix typo in hdparm.8
    - fix_ldflags.patch: Don't hardcode LDFLAGS
    - quiet_sequrity_freeze.patch: Quiet the output when -q and
      --security-freeze flags are used, Closes: #512175
  * Imported Upstream version 9.48+ds, Closes: #706479, #795326
  * d/hdparm.udev: Don't trigger the udev rule on sd[a-z]*, Closes: #787969
  * d/source:format: 3.0 (quilt)
  * d/README.Debian: Warn users about obsoleted information, Closes: #707724
  * d/hdparm.dirs: Remove, not used
  * d/95hdparm-apm: Update header information, imported from Ubuntu
  * d/hdparm.init, d/hdparm.default, d/hdparm.service:
    Drop init files, use udev scripts, Closes: #796623
  * Move:
     - debian/hdparm.udev-script -> debian/udev-scripts/hdparm
     - debian/systemd-sleep.hook -> debian/systemd-sleep/hdparm
  * d/hdparm.install: Install systemd sleep and udev scripts,
    thanks to Michael Biebl, Closes: #725284
  * d/hdparm.postinst: Call update-rc.d hdparm remove as we dropped
    the init scripts, remove obsoleted part
  * d/hdparm.preinst: Remove obsoleted parts
  * d/hdparm.postrm: Remove, not needed with current versions in Debian
  * d/hdparm.maintscript: Remove obsoleted conffiles

  [ Raphaël Hertzog ]
  * Cleanup code to unregister the old init script.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 08 Mar 2016 12:05:51 +0100

hdparm (9.43-2) unstable; urgency=medium

  * Synced from Ubuntu: (Closes: #725284)
    - reset apm options between devices
    - add script that gets run from udev when a new device is added
  * Added locking to prevent race in RAID setup.
    Thanks to Simon Elsbrock <simon@iodev.org> (Closes: #717190)

 -- Michael Meskes <meskes@debian.org>  Tue, 24 Feb 2015 11:59:58 +0100

hdparm (9.43-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set DEB_MAKE_ENVVARS differently in order to take advantage of
    cross-building support in cdbs (closes: #694843).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 12:15:41 +0000

hdparm (9.43-1) unstable; urgency=low

  * New upstream version

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Nov 2012 11:34:15 +0100

hdparm (9.42-1) unstable; urgency=low

  * New upstream release
  * Allow udev rule to process large numbers of devices (closes: #675624)
  * Changed hdparm-functions to allow links instead of devices in hdparm.conf.
  * Taken from Ubuntu:
    Set spindown policy back to -B128 instead of -B127. Too many drives
    misbehave too badly with this setting, possibly leading to drive failure.
    We should revisit this once we understand why people's drives are spinning
    back *up* so frequently (closes: #684241)

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Oct 2012 11:19:21 +0200

hdparm (9.39-1) unstable; urgency=low

  * New upstream version (closes: #602522, #631614, #639660)
  * Added myself to uploaders
  * Added Homepage field (closes: #533190, #545005)
  * Changed linking stage to not strip binary, otherwise the debug package
    would be empty
  * Renamed XC-Package-Type to Package-Type
  * No longer install idectl, that relies on options that were removed, and
    ultrabayd, that relies on idectl (closes: #511283)
  * Install UDEV rule to /lib/udev/rules.d (closes: #563762, #622568)
  * Bumped build dependency on debhelper for correct udev handling.
  * Install wiper.sh into its own subdirectory together with its README.txt
  * Recommend powermgmt-base
  * Thanks to Dmitry Smirnov <onlyjob@member.fsf.org>:
    + Added description to init file
    + Updated watch file to fetch from sourceforge
    + Clean up old rules from /etc/udev in postinst
  * Taken from Ubuntu:
    + pm-utils script 95-hdparm-apm:
      - run hdparm on wakeup (closes: #468307)
      - full integration with pm-utils (closes: #510676)
      - adjust hard drive APM settings (closes: #664041)
    + /lib/hdparm/hdparm-functions:
      -  prepare to replace our init script eventually
      -  special handling for Firewire/USB (closes: #654873)
    + hdparm.init:
      - only use the 'apm' setting when we're not on battery; when we are on
        battery, apply the separate 'apm_battery' setting.
      - Don't call hdparm -f for every drive; no clear rationale was ever given
        for doing this, and doing so slows down hard drive access at boot time.
      - also don't call sync... (closes: #546813)
    * hdparm.conf.5
  * hdparm.conf: added apm_battery, removed command_line example
  * Bumped Standards-Version to 3.9.3, no changes needed

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Mar 2012 12:10:19 +0200

hdparm (9.32-1) unstable; urgency=low

  * New upstream version (closes: #574897)
    - Flags -B and -M should now be working
    - Fixes alignment issues
    - Correctly handles errno of EBADE (closes: #557384)
  * Don't make a symlink if it already exists (closes: #593963)
  * init script can follow symlinks to block devices now
    (closes: #533535, #546045)
  * Include wiper.sh in contrib/

 -- Stephen Gran <sgran@debian.org>  Thu, 30 Sep 2010 15:39:21 +0100

hdparm (9.27-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ensure that RAID sync is always restored when the init script ends
    (closes: #583110)
  * Include licence text directly in copyright file, as it is not exactly
    the same as the BSD licence text

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Aug 2010 23:44:20 +0100

hdparm (9.27-2) unstable; urgency=low

  * Stop unconditionally stripping hdparm during build (closes: #568774)

 -- Stephen Gran <sgran@debian.org>  Mon, 08 Feb 2010 18:47:29 +0000

hdparm (9.27-1) unstable; urgency=low

  * New upstream version

 -- Stephen Gran <sgran@debian.org>  Sun, 17 Jan 2010 18:02:44 +0000

hdparm (9.15-1) unstable; urgency=low

  * New upstream version (closes: #505284)
  * opens devices with O_RDONLY (closes: #522091, #526516)

 -- Stephen Gran <sgran@debian.org>  Sat, 13 Jun 2009 00:45:36 +0100

hdparm (8.9-3) unstable; urgency=low

  * Fix output formatting for drives configured from /etc/default/hdparm
    (closes: #494660)
  * Add documentation about changing device names (closes: #421087)

 -- Stephen Gran <sgran@debian.org>  Wed, 17 Dec 2008 22:45:28 +0000

hdparm (8.9-2) unstable; urgency=low

  * Remove stale stop links (closes: #497903)

 -- Stephen Gran <sgran@debian.org>  Fri, 05 Sep 2008 11:23:20 +0100

hdparm (8.9-1) unstable; urgency=low

  * New upstream version
  * Update standars version to 3.8.0 (no changes)

 -- Stephen Gran <sgran@debian.org>  Tue, 17 Jun 2008 19:08:10 +0100

hdparm (8.8-1) unstable; urgency=low

  * New upstream version
    - Document that security-* switches are standalone (closes: #422341)

 -- Stephen Gran <sgran@debian.org>  Wed, 11 Jun 2008 23:36:59 +0100

hdparm (8.7-1) unstable; urgency=low

  * New upstream release
  * Fixed incorrect LSB header Default-Stop (closes: #476110)

 -- Stephen Gran <sgran@debian.org>  Tue, 03 Jun 2008 00:36:06 +0100

hdparm (8.6-1) unstable; urgency=low

  * New upstream version
  * Udev rule can also match for sata devices (closes: #471401)

 -- Stephen Gran <sgran@debian.org>  Tue, 18 Mar 2008 01:06:37 +0000

hdparm (8.3-1) unstable; urgency=low

  * New upstream release
  * easier config of spindown time (closes: #462766)
  * Update Standards-Version (no changes)

 -- Stephen Gran <sgran@debian.org>  Tue, 19 Feb 2008 22:39:32 +0000

hdparm (7.7-1) unstable; urgency=low

  * New upstream version

 -- Stephen Gran <sgran@debian.org>  Sat, 11 Aug 2007 12:35:12 +0100

hdparm (7.6-1) unstable; urgency=low

  * New upstream version
  * Update conffile handling in preinst

 -- Stephen Gran <sgran@debian.org>  Sun, 15 Jul 2007 15:50:24 +0100

hdparm (7.5-1) unstable; urgency=low

  * New upstream version

 -- Stephen Gran <sgran@debian.org>  Wed, 06 Jun 2007 21:13:36 +0100

hdparm (7.3-1) unstable; urgency=low

  * New upstream version
    - partial fix for #423186, rest patched, so (closes: #423186)
  * Stop installing useless stop links in rc0 and rc6 (closes: #422795)

 -- Stephen Gran <sgran@debian.org>  Thu, 31 May 2007 02:34:11 +0100

hdparm (7.1-2) unstable; urgency=low

  * Don't ship a binary in contrib/ (even though upstream puts it in the
    tarball)

 -- Stephen Gran <sgran@debian.org>  Sun, 29 Apr 2007 03:33:05 +0100

hdparm (7.1-1) unstable; urgency=low

  * New upstream version
  * Add debian/patches/40_hdparm_no_strip.dpatch to keep build system from
    stripping hdparm binary before dh_strip can get to it.

 -- Stephen Gran <sgran@debian.org>  Sun, 29 Apr 2007 03:02:39 +0100

hdparm (6.9-2) unstable; urgency=low

  * Typo fix in manpage (closes: #396809)
  * Better explain get/set options (closes: #397792)

 -- Stephen Gran <sgran@debian.org>  Sat, 17 Feb 2007 03:30:06 +0000

hdparm (6.9-1) unstable; urgency=low

  * New upstream version
  * Add new -s option to init script, conf file, and manpage

 -- Stephen Gran <sgran@debian.org>  Wed, 25 Oct 2006 16:24:22 +0100

hdparm (6.8-1) unstable; urgency=low

  * New upstream version

 -- Stephen Gran <sgran@debian.org>  Mon, 16 Oct 2006 18:14:36 +0100

hdparm (6.7-1) unstable; urgency=low

  * New upstream version
  * Fix override disparity for -dbg package
  * Versioned Build-Dep on dpkg-dev since it now uses ${binary:Version}

 -- Stephen Gran <sgran@debian.org>  Thu,  5 Oct 2006 22:37:59 +0100

hdparm (6.6-5) unstable; urgency=low

  * Make -C actually try a second time (closes: #390079)

 -- Stephen Gran <sgran@debian.org>  Sat, 30 Sep 2006 15:08:01 +0100

hdparm (6.6-4) unstable; urgency=low

  * hdparm-dbg should Depend on hdparm, how about?

 -- Stephen Gran <sgran@debian.org>  Thu, 28 Sep 2006 11:06:31 +0100

hdparm (6.6-3) unstable; urgency=low

  * s/mountvirtfs/mountdevsubfs/ in init script (closes: #386340)
  * Some init dependency tuning
  * Apply patch from Norbert Buchmuller <norbi.spam@nix.hu> to make it safer
    to run hdparm on a degraded software raid array (closes: #366333)
  * Split out the old unformatted changelog entries to quiet lintian

 -- Stephen Gran <sgran@debian.org>  Tue, 19 Sep 2006 00:44:08 +0100

hdparm (6.6-2) unstable; urgency=low

  * Add -dbg package
    This requires incrementing the versioned dep on debhelper
  * Increment Standards-Version to 3.7.2 (no changes)

 -- Stephen Gran <sgran@debian.org>  Thu, 18 May 2006 23:59:56 +0100

hdparm (6.6-1) unstable; urgency=low

  * New upstream release
  * man page fixups for -a (closes: #362670)
  * Change to using comparison (==) rather than assignment (=) operators in
    hdparm's udev rules.
  * Stop printing nulls (closes: #363132)
  * Add APM/ACPI discussion to README.Debian (closes: #327442)

 -- Stephen Gran <sgran@debian.org>  Tue, 18 Apr 2006 13:28:33 +0100

hdparm (6.3-3) unstable; urgency=low

  * Init script fixup: s/_/-/ (closes: #340685)

 -- Stephen Gran <sgran@debian.org>  Fri, 25 Nov 2005 09:15:46 +0000

hdparm (6.3-2) unstable; urgency=low

  * Brown paper bag release - add dpatch to B-D (closes:#340595)

 -- Stephen Gran <sgran@debian.org>  Thu, 24 Nov 2005 13:21:52 +0000

hdparm (6.3-1) unstable; urgency=low

  * New Upstream Version (closes: #340171)
  * Init dependency information added (closes: #335309)
  * Add support for new user-master option to init script, and document same
  * Switch to dpatch, and start adding tiny patches there

 -- Stephen Gran <sgran@debian.org>  Mon, 21 Nov 2005 23:44:43 +0000

hdparm (6.1-7) unstable; urgency=low

  * Make eval_value fail if unknown value passed to it (closes: #329443)
  * Get rid of deprecated dev.d/ file (closes: #329450)
  * Add /etc/udev/rules.d/ to package (closes: #329731)

 -- Stephen Gran <sgran@debian.org>  Sat, 24 Sep 2005 01:03:51 +0100

hdparm (6.1-6) unstable; urgency=low

  * Migrate from dev.d to udev/hdparm.rules (closes: #329026)
  * remerge manpage patch for -M (closes: #325237)

 -- Stephen Gran <sgran@debian.org>  Mon, 19 Sep 2005 08:19:27 +0100

hdparm (6.1-5) unstable; urgency=low

  * Change udev script name to end in .dev (hmm, really should have
    investigated that more) (closes: #322636)

 -- Stephen Gran <sgran@debian.org>  Fri, 12 Aug 2005 08:56:00 -0400

hdparm (6.1-4) unstable; urgency=low

  * Grr, I _would_ have had a working solution, if only I actually installed
    all the files.

 -- Stephen Gran <sgran@debian.org>  Thu, 11 Aug 2005 09:57:28 -0400

hdparm (6.1-3) unstable; urgency=low

  * Finally, I think I have a working udev method (much thanks to Ubuntu for
    doing rather a lot of the work getting it there)
    (closes: #274109, #312949)
  * security-freeze support for init script (closes: #317675)
  * hdparm.conf manpage written and included (closes: #319928)

 -- Stephen Gran <sgran@debian.org>  Wed, 10 Aug 2005 15:26:36 -0400

hdparm (6.1-2) unstable; urgency=low

  * Typo fixups in /etc/default/hdparm (closes: #310517)

 -- Stephen Gran <sgran@debian.org>  Tue, 24 May 2005 10:08:42 -0400

hdparm (6.1-1) unstable; urgency=low

  * New upstream version

 -- Stephen Gran <sgran@debian.org>  Mon, 18 Apr 2005 14:40:21 -0400

hdparm (6.0-1) unstable; urgency=low

  * New upstream version
    - Includes WIN_SECURITY_FREEZE_LOCK (closes: #302774)
  * Allow multiple disks to be set up at once in /etc/default/hdparm
    (closes: #296368)

 -- Stephen Gran <sgran@debian.org>  Sat, 16 Apr 2005 12:36:14 -0400

hdparm (5.9-4) unstable; urgency=low

  * Allow overriding of (rather simple minded) built-in safety checks
    in init script (closes: #299330)
  * Patch to output sectors instead of bytes on kernels that support
    BLKGETSIZE64 (closes: #299109)
  * Reorganize README.Debian, and better document the init script (hopefully)
  * Add documentation to init script and conf file, and make indenting more
    readable in init script (closes: #299440)

 -- Stephen Gran <sgran@debian.org>  Mon, 14 Mar 2005 06:05:55 -0500

hdparm (5.9-3) unstable; urgency=low

  * Don't skip drives in hdparm.init if $ROOTFS is unset (closes: #296364)

 -- Stephen Gran <sgran@debian.org>  Mon, 21 Feb 2005 22:11:40 -0500

hdparm (5.9-2) unstable; urgency=low

  * Readability fixup in hdparm.init (closes: #294761) (thanks Thomas Hood
    <jdthood@aglu.demon.nl>)
  * Test for existance of device before running hdparm on it.  This doesn't
    really fix the problem of things like udev creating the device files so
    slowly, but it allows the init script to run to completion, instead of
    bailing due to set -e (closes: #249446)
  * Set up the infrastructure for a 2 stage call at boot time.  Unfortunately,
    the admin will have to do a little work themselves to configure this, but
    doing it automagically appears impossible in all situations, so I will not
    push it much further.  (closes: #250232, #290629)

 -- Stephen Gran <sgran@debian.org>  Thu, 17 Feb 2005 22:00:33 -0500

hdparm (5.9-1) unstable; urgency=low

  * New upstream version
    - fixes -W switch (closes: #293378)

 -- Stephen Gran <sgran@debian.org>  Fri,  4 Feb 2005 08:56:57 -0500

hdparm (5.8-1) unstable; urgency=low

  * New Upstream version
    - -h output now goes to stdout rather than stderr
      (closes: #270510)
  * Mention config file in manpage (closes: #272641)

 -- Stephen Gran <sgran@debian.org>  Fri, 26 Nov 2004 11:57:13 -0500

hdparm (5.7-1) unstable; urgency=low

  * New upstream release
    - fixes endian problems (segfault with -i) (closes: #268725)
  * Stop shipping empty rcS.d (why did I do that?) (closes: #270377)

 -- Stephen Gran <sgran@debian.org>  Sun, 12 Sep 2004 14:00:36 -0400

hdparm (5.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, blessed by Stephen Gran, original maintainer. This
    new version allows to set up parameters on IDE disks supported by the new
    libata kernel interface, that sees them as SCSI disks. hdparm prior to 5.6
    refuse to set up parameters on SCSI disks (closes: #266903).

 -- David Martínez Moreno <ender@debian.org>  Fri, 20 Aug 2004 16:05:19 +0200

hdparm (5.5-7) unstable; urgency=low

  * Get rid of .commands in source

 -- Stephen Gran <sgran@debian.org>  Tue, 17 Aug 2004 12:14:24 -0400

hdparm (5.5-6) unstable; urgency=low

  * The God, I hate when I do that release
  * Revert some changes that are destined for an unfinished feature, and would
    just break things now.

 -- Stephen Gran <sgran@debian.org>  Tue, 17 Aug 2004 12:08:41 -0400

hdparm (5.5-5) unstable; urgency=low

  * New conf file option -p (Thanks Sebastian Kuzminsky <seb@kernel.org>)
  * conf file also now allows for straight command line syntax - read
    comments in hdparm.conf for details
  * Add watch file
  * Add udeb (closes: #265969) (Thanks Colin Watson <cjwatson@debian.org> for
    patch)

 -- Stephen Gran <sgran@debian.org>  Sun, 15 Aug 2004 22:48:29 -0400

hdparm (5.5-4) unstable; urgency=low

  * Patch from "Mario 'BitKoenig' Holbe" <Mario.Holbe@RZ.TU-Ilmenau.DE> for
    better logic on checking RAID status. (closes: #249944)

 -- Stephen Gran <sgran@debian.org>  Wed, 19 May 2004 20:22:47 -0400

hdparm (5.5-3) unstable; urgency=low

  * Add support for nohdparm boot option, to disable init script
    I think this addresses the last of the problems with #247170, so I am
    going to say (closes: #247170)
  * Fix typo in hdparm.conf (closes: #248934)

 -- Stephen Gran <sgran@debian.org>  Sun, 16 May 2004 14:24:45 -0400

hdparm (5.5-2) unstable; urgency=low

  * Merge in some manpage fixups, hopefully increasing clarity.
  * The start link is run too early for people who need modules for their
    controller loaded in order to use DMA.  Added a note to README.Debian
    explaining what people can do in these circumstances, but leave the link
    alone.  It's safer for the start script to fail than to have silent data
    corruption by running it too late by default. (closes: #233188)

 -- Stephen Gran <sgran@debian.org>  Wed,  3 Mar 2004 15:16:08 -0500

hdparm (5.5-1) unstable; urgency=low

  * New upstream version (closes: #232613)
  * Add warning about examples in conf file - some are for devfs, and some
    are not.  I thought this was clear enough, but I guess not.
    (closes: #231641)
  * Fix up typo in /etc/apm.d/20hdparm (closes: #231822)

 -- Stephen Gran <sgran@debian.org>  Sat, 14 Feb 2004 00:18:07 -0500

hdparm (5.4-10) unstable; urgency=low

  * The "I'm actually putting the changes in this version" release.
  * Bump up version dependency on debhelper to 4.1.17 for dh_installinit's
    --no-start option.  Thanks to Thomas Hood for noticing I forgot to
    actually include this. (closes: #230496)
  * Actually include the fixed manpage this time. (closes: #230331)

 -- Stephen Gran <sgran@debian.org>  Sat, 31 Jan 2004 15:55:47 -0500

hdparm (5.4-9) unstable; urgency=low

  * Added support for -K and -k (keep settings over reset) - thanks Shaul Karl
    <shaulk@actcom.net.il> for patches. (closes: #229022)
  * Hopefully explained -M (acoustic management feature a little more clearly
    in manpage, and added pointer to READM.acoustic (closes: #230331)
  * Work a little smarter, instead of a little harder, thanks to Thomas
    Hood.  Let dh_installinit do The Right Thing, and use --no-start option,
    so it doesn't add the invoke-rc.d lines in postinst and prerm.

 -- Stephen Gran <sgran@debian.org>  Fri, 30 Jan 2004 13:29:54 -0500

hdparm (5.4-8) unstable; urgency=low

  * Added note to README.Debian to warn about the use of the init script with
    MD arrays (thanks David Harris for bringing this to my attention).  Added
    pointer to README.Debian to hdparm.conf as well, reminding people to be
    aware of known issues before enabling the initscript.
  * Finally wrapped my head around invoke-rc.d a little better (thanks to all
    those on debian-devel who helped me out here).  Explicitly adding a K link
    in all run levels will prevent invoke-rc.d from rerunning the script on
    upgrade, where only having an S link in rcS.d apparently did not do the
    expected.  That should take care of that nagging detail that I thought had
    actually been fixed in -7, and really deal with all the parts of #224961.
  * Allow for setting APM functions (-B) in init script. (closes: #226124)
  * Fix bug in /etc/apm/20hdparm that made script exit without doing anything,
    since test $variable || exit 0 tested non-declared variable.

 -- Stephen Gran <sgran@debian.org>  Fri, 30 Jan 2004 13:16:26 -0500

hdparm (5.4-7) unstable; urgency=low

  * Move running of /etc/init.d script earlier to avoid possible disk
    corrution with 2.6 kernels.  Also apply patch from Bruce Perens (thanks
    Bruce) (closes: #224961)

 -- Stephen Gran <sgran@debian.org>  Wed, 24 Dec 2003 08:37:20 -0500

hdparm (5.4-6) unstable; urgency=low

  * moved /etc/default/hdparm to /etc/hdparm.conf, because this is actually
    policy compliant.  It turns out (mea culpa) default/ files need to be
    shell scripts, which this is not.  Thanks for noticing this, joeyh.
    (closes: #222133)
  * Fixed manpage typo in section -M.  Thanks, Adrian.  (closes: #222557)

 -- Stephen Gran <sgran@debian.org>  Fri,  5 Dec 2003 14:28:07 -0500

hdparm (5.4-5) unstable; urgency=low

  * Changed parsing of -c to accept multiple values instead of it being a
     boolean option (closes: #219641)
  * Make initscript parsing of /etc/default/ file more flexible - now allows
     parsing of lines that contain whitespace in addition to a newline.  Also
     now has large note at top describing currently allowed syntax.
     (closes: #219138)

 -- Stephen Gran <sgran@debian.org>  Mon, 10 Nov 2003 23:10:01 -0500

hdparm (5.4-4) unstable; urgency=low

  * Add acoustic management support to /etc/init.d/hdparm script (and
    /etc/default/hdparm) (closes: #217634)

 -- Stephen Gran <sgran@debian.org>  Sun, 26 Oct 2003 10:44:06 -0500

hdparm (5.4-3) unstable; urgency=low

  * New maintainer (closes: #217098)
  * Fix description of -A in manpage (closes: #212257)
  * Build uses cdbs now, which supports building unstripped (closes: #190867)
  * Change reference to boot time script to reflect actual file
     (closes: #157919)
  * /etc/apm/20hdparm now handles multiple drives (closes: #149558)
  * /etc/init.d/hdparm and /etc/default/hdparm now included.
    Many thanks to Shaul Karl <shaul@rakefet> and Joerg Sommer
    <joerg@alea.gnuu.de> for suggestions and samples.
    (closes: #87451, #169406, #175506, #198516)

 -- Stephen Gran <sgran@debian.org>  Thu, 23 Oct 2003 14:00:37 -0400

hdparm (5.4-2) unstable; urgency=low

  * Added cdbs to Build-Depends.

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  4 Aug 2003 23:00:00 -0500

hdparm (5.4-1) unstable; urgency=low

  * New upstream release.
  * Move contrib scripts. (Closes: #122644)
  * Suggest apmd. (Closes: #137434)
  * Include upstream documentation. (Closes: #155171)
  * Bumped debhelper version. (Closes: #190866)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  4 Aug 2003 22:00:00 -0500

hdparm (5.3-0.1) unstable; urgency=low

  * NMU with permission of maintainer.
  * New upstream release. (closes: #135708)
  * This should build on s390/hppa/ia64 again (closes: #155725, #185704)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  9 Apr 2003 21:40:35 +0100

hdparm (5.2-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 31 Jul 2002 14:35:00 -0500

hdparm (4.5-1.2) unstable; urgency=low

  * NMU
  * Change "Conflicts: apmd" to "Replaces: apmd", to comply with section
    7.5 of policy.  This should eliminate upgrade problems.

 -- Chris Hanson <cph@debian.org>  Thu, 14 Mar 2002 00:26:38 -0500

hdparm (4.5-1.1) unstable; urgency=low

  * NMU with permission of maintainer.
  * Move "/etc/apm/event.d/20hdparm" from the apmd package to the hdparm
    package.

 -- Chris Hanson <cph@debian.org>  Thu, 7 Mar 2002 23:06:39 -0500

hdparm (4.5-1) unstable; urgency=high

  * New Upstream. (Closes: #101531)
  * New Maintainer.
  * Included contrib scripts. (Closes: #92620)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 28 Nov 2001 14:10:00 -0600

hdparm (3.9a-1) unstable woody; urgency=low

  * New upstream version (patch). Closes #85351, #77979, #58265
  * Hack around compilation issues. Closes #80897, #84520
  * Back out manpage patch. Closes #67060
  * Add upstream changelog. Closes #80126
  * Change doc for -q. Closes #37594

 -- Steve Dunham <dunham@debian.org>  Wed, 14 Feb 2001 16:35:12 -0800

hdparm (3.9-1) unstable; urgency=low

  * New upstream version

 -- Steve Dunham <dunham@debian.org>  Tue, 16 May 2000 08:30:32 -0700

hdparm (3.6-2) unstable; urgency=low

  * Patch to unregister interfaces for thinkpads
  * Closes: #54715

 -- Steve Dunham <dunham@debian.org>  Tue, 25 Jan 2000 10:10:20 -0800

hdparm (3.6-1) unstable; urgency=low

  * New upstream version
  * Fix problem with no media on CDs
  * Add comment about -q option
  * Closes: #30866, #39511

 -- Steve Dunham <dunham@debian.org>  Fri, 29 Oct 1999 23:38:58 -0700

hdparm (3.5-1) unstable; urgency=low

  * New upstream version (#30010,#26368)

 -- Steve Dunham <dunham@debian.org>  Fri, 27 Nov 1998 11:49:03 -0500

hdparm (3.3-3) unstable; urgency=low

  * Switch to debhelper (#17219)

 -- Steve Dunham <dunham@debian.org>  Fri, 14 Aug 1998 00:15:38 -0400

hdparm (3.3-2) unstable; urgency=low

  * Fixed problem with automake

 -- Steve Dunham <dunham@cps.msu.edu>  Mon, 21 Jul 1997 18:31:41 -0400

hdparm (3.3-1) unstable; urgency=low

  * New upstream version - upstream changes:
        - add -C, -y, and -Y flags for IDE power management
        - force BLKFLSBUF after -T or -t  -- kmg@barco.com
        - fix minor -T/-t mixup in manpage -- hankedr@mail.auburn.edu


 -- Steve Dunham <dunham@cps.msu.edu>  Sun,  8 Jun 1997 13:18:10 -0400

hdparm (3.1-2) unstable; urgency=low

  * Fixed Architecture: field

  * Upgrade to 3.1.  Change to "Package format of the month"(TM)

 -- Steve Dunham <dunham@gdl.msu.edu>  Thu, 10 Oct 1996 19:51:22 -0800
